# class KPassivePopupMessageHandler

###

Module | kdeui
Namespace |
Class | KPassivePopupMessageHandler
Inherits | QObject,KMessageHandler

This is a convenience KMessageHandler that uses KPassivePopup.

Author Michaël Larouche <michael.larouche@kdemail.net>

### methods

- KPassivePopupMessageHandler (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0

  Create a new KPassivePopupMessageHandler

  parent - Parent widget to use for the KPassivePopup.

- KPassivePopupMessageHandler (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QWidget | 0

- message (messageType, text, caption)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  messageType | KMessage.MessageType |
  text | QString |
  caption | QString |

  KMessageHandler.message